import 'package:flutter_conscent_plugin/Model/APIMode.dart';
import 'package:flutter_conscent_plugin/shared_pref.dart';
import 'package:flutter_conscent_plugin/flutter_conscent_plugin.dart';

class ConscentInitializer {
  String? clientId;
  static String? mClientId;
  MODE? apiMode;
  static String? mContentId;

  ConscentInitializer(String this.clientId, MODE this.apiMode) {
    mClientId = clientId;

    SharedPref().setClientId(clientId!);

    String BASE_URL = APIMode.getConscentServiceUrl(apiMode!);

    SharedPref().setClientId(BASE_URL);
  }

  static Future<void> setContentId(String contentId) async {
    mContentId = contentId;

    SharedPref().setContentId(contentId);
  }

  static Future<String?> getContentId(String contentId) async {
    return mContentId;
  }
}
